// FTPGet.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "Wininet.h"


int _tmain(int argc, _TCHAR* argv[])
{
	SYSTEMTIME st;                           // System Time
	HINTERNET hInternet = NULL;              // Inetnet Handle
	HINTERNET hFtpSession = NULL;            // FTP Session Handle
	HINTERNET hFile = NULL;                  // Inetnet File Handle
	DWORD WriteBytes = 0;
	BOOL bRet = FALSE;

	// Get Current Local Time
	GetLocalTime(&st);

	// Create an Internet Handle
	hInternet = InternetOpen(
		L"WININET Sample Program",
		INTERNET_OPEN_TYPE_PRECONFIG,
		NULL,
		NULL,
		0);

	// Create a FTP handle
	hFtpSession = InternetConnect(
		hInternet,
		L"192.168.30.46",                 // Remote IP Address
		INTERNET_DEFAULT_FTP_PORT,         // Use the default FTP port
		L"admin",						   // User ID
		L"admin",						   // Password
		INTERNET_SERVICE_FTP,              // It's a FTP
		0,
		0);

	// Set the destination directory to /ws
	bRet = FtpSetCurrentDirectory( hFtpSession, L"/ws");

	// get a file from  /ws to /temp direcotry
	bRet = FtpGetFile( hFtpSession,                       // FTP session handle
		               L"b2c.txt",                        // Remote file
					   L"\\temp\\b2c.txt",                // The full path of local file 
					   FALSE,                             // Overwrite it if the file exists
					   FILE_ATTRIBUTE_NORMAL,             
					   FTP_TRANSFER_TYPE_BINARY | INTERNET_FLAG_RELOAD, 
					   0);

	InternetCloseHandle(hFile);               // Close Handle
	InternetCloseHandle(hFtpSession);         // Close Handle
	InternetCloseHandle(hInternet);           // Close Handle

	return 0;
}

